Bug 503215 - igb: dropping rx packets
igb: dropping rx packets
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Andy Gospodarek
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 13:09 EDT by Chris Wright
Modified: 2014-06-29 19:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
igb-igbvf-poll-fixes.patch (1.38 KB, patch)
2009-05-29 14:43 EDT, Andy Gospodarek
no flags Details | Diff

  None (edit)
Description Chris Wright 2009-05-29 13:09:55 EDT
Description of problem:

When assigning igb device directly to KVM guest, netperf tx (from guest to external host) drops well below line rate (like 200Mb/s).

Version-Release number of selected component (if applicable):
RHEL 5.4 beta-ish (i.e. 2.6.18-150)

How reproducible:
very

Steps to Reproduce:
1. assign igb device to guest
2. generate high tx traffic rate from guest to external host
3. observe poor throughput
  
Actual results:
throughput for tcp stream netperf test falls to ~200Mb/s

Expected results:
line rate...~930Mb/s


Additional info:
Seems to be dropping large numbers of RX packets.  Also the RX interrupt rate is low.  Suspect some kind of NAPI problem.
Comment 1 Andy Gospodarek 2009-05-29 14:43:42 EDT
Created attachment 345941 [details]
igb-igbvf-poll-fixes.patch

Patch that I will post after getting feedback from Chris that the igbvf stuff is better/not worse than before.
Comment 2 RHEL Product and Program Management 2009-05-29 14:50:27 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2009-06-04 12:08:26 EDT
in kernel-2.6.18-152.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 7 errata-xmlrpc 2009-09-02 04:53:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.